

class a
{
	
public static int potenz(int basis, int exponent)
{
	if (exponent==1) return basis;
	
	int temp = potenz(basis,exponent/2);
	temp = temp*temp;
	
	if ((exponent % 2) == 0) {
		return temp;
	} else {
		return temp*basis;
	}
}

}
